// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the PBEE_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// PBEE_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef PBEE_EXPORTS
#define PBEE_API __declspec(dllexport)
#else
#define PBEE_API __declspec(dllimport)
#endif

// This class is exported from the PBEE.dll
class PBEE_API CPBEE {
public:
	CPBEE(void);
	// TODO: add your methods here.
};

extern PBEE_API int nPBEE;

PBEE_API int fnPBEE(void);

PBEE_API void PBEEProductionRates(double dbPBEEProductionRates_Mean[], double dbPBEEProductionRates_StdDev[]);

PBEE_API void PBEEUnitCosts(double dbPBEEUnitCosts_Mean[], double dbPBEEUnitCosts_StdDev[]);

PBEE_API void PBEECalcQuantities(double dbPBEEQuantities[]);

PBEE_API void PBEECalcRepairs(double dbPBEEValues[]);